## GdauiRtEditor

GdauiRtEditor — Rich text editor which uses a subset of the txt2tags markup.

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_rt_editor_new ()
gchar * | gdaui_rt_editor_get_contents ()
void | gdaui_rt_editor_set_contents ()
void | gdaui_rt_editor_set_editable ()

## Types and Values

struct | GdauiRtEditor

## Description

The text entered in the editor can be formatted using bold, underline, title, ... attributes and then extracted using a subset of the txt2tags markup. Use this widget to edit textual fields where some markup is desirable to organize the text.

For example the real text used to obtain the formatting in the figure is:

    blah //italic// blah.
    and ** BOLD!//both italic and bold// Bold!**
    Nice Picture: [[[R2RrUAA...y8vLy8tYQwAA]]] Yes
    - List item --One--
    - List item **Two**
    - sub1
    - sub2

where the picture's serialized data has been truncated here for readability (between the [[[ and ]]] markers). Pictures are usually inserted using the incorporated tollbar and not y hand (even though it's possible).

## Functions

### gdaui_rt_editor_new ()

    GtkWidget *
    gdaui_rt_editor_new (void);

Creates a new GdauiRtEditor widget

#### Returns

the new widget.

[transfer full]

Since: 4.2.2

### gdaui_rt_editor_get_contents ()

    gchar *
    gdaui_rt_editor_get_contents (GdauiRtEditor *editor);

Get the contents of `editor` , using the markup syntax

#### Parameters

editor | a GdauiRtEditor |

#### Returns

a new string, or `NULL` if there was an error.

[transfer full]

Since: 4.2.2

### gdaui_rt_editor_set_contents ()

    void
    gdaui_rt_editor_set_contents (GdauiRtEditor *editor,
                                  const gchar *markup,
                                  gint length);

Set `editor` 's contents. If `length` is -1, `markup` must be nul-terminated

#### Parameters

editor | a GdauiRtEditor |
markup | the text to set in `editor` , using the markup syntax (must be valid UTF-8) |
length | length of text in bytes. |

Since: 4.2.2

### gdaui_rt_editor_set_editable ()

    void
    gdaui_rt_editor_set_editable (GdauiRtEditor *editor,
                                  gboolean editable);

Set `editor` 's editability

#### Parameters

editor | a GdauiRtEditor |
editable | whether it's editable |

Since: 4.2.2

## Types and Values

### struct GdauiRtEditor

    struct GdauiRtEditor {
    	GtkBox              object;

    	GdauiRtEditorPriv   *priv;
    };